Skip to main content
Resource Center/Resource Pool/VM Instance Operations
GETVM Instance OperationsSince 3.3.0SynchronousAuth Required

QueryVmCdRom

QueryVmCdRom

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • vmInstanceUuidStringRequired

      The VM instance UUID.

    • deviceIdIntegerRequired

      The CD-ROM device ID.

    • isoUuidStringRequired

      The ISO image UUID.

    • isoInstallPathStringRequired

      The path to install the ISO image.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

Endpoint

GET/zstack/v1/vm-instances/cdroms

/zstack/v1/vm-instances/cdroms

Operation ID

QueryVmCdRom

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/vm-instances/cdroms' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "68d090e26a0539f9b1b5d37229ee97de", "deviceId": 0.0, "isoUuid": "539acd1389523fb9ab243096d9842a05", "name": "cd-1", "description": "desc", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] }

Change History

This API has no change history records yet.

View all change history